Debian Bug report logs - #620883
pu: package deborphan/1.7.28.3+squeeze1

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: David Prévot <david@tilapin.org>

Date: Mon, 4 Apr 2011 21:15:10 UTC

Severity: normal

Tags: squeeze

Fixed in version 6.0.2

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, c.hey@web.de, Debian Release Team <debian-release@lists.debian.org>:
Bug#620883; Package release.debian.org. (Mon, 04 Apr 2011 21:15:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
New Bug report received and forwarded. Copy sent to c.hey@web.de, Debian Release Team <debian-release@lists.debian.org>. (Mon, 04 Apr 2011 21:15:22 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package deborphan/1.7.28.3+squeeze1
Date: Mon, 04 Apr 2011 17:14:45 -0400
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

Hi,

In order to fix an RC bug (broken orphaner on sparc, #618895), would it
be ok, to upload deborphan 1.7.28.3+squeeze1 based on 1.7.28.5 in sid to
stable-proposed-updates? The changelog would be updated accordingly.

1.7.28.5 additionally fixes #609337 to avoid libreoffice being wrongly
listed as possible orphan if --guess-section is used, e.g., during
partial upgrades or when using a libreoffice backport.

It also fixes a few translation issues, adds two new translations and
updates the Maintainer.

Please find attached the filtered diff (without translation and automake
results) obtained with the following command:

  debdiff --diffstat deborphan_1.7.28.3.dsc deborphan_1.7.28.5.dsc \
  | filterdiff -x'*.po' -x'*.pot' -x'*.in' -x'*.1' -x'*.8'

The reason for the debfoster related changes in include/config.h is that
the tarball for 1.7.28.3  was created with an old debfoster
configuration file in /etc. include/config.h is recreated during the
build anyway and the variant in 1.7.28.5 is the correct one.

Regards

Carsten and David


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (600, 'unstable'), (500, 'oldstable'), (500, 'stable'), (150, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash


*** /tmp/deborphan_1.7.28.3-5.diff
diffstat for deborphan-1.7.28.3 deborphan-1.7.28.5

 configure          |    7 
 configure.in       |    8 
 debian/changelog   |   25 +
 debian/control     |    3 
 doc/Makefile.am    |    6 
 doc/Makefile.in    |    6 
 doc/pl/deborphan.1 |    2 
 doc/po/pl.po       |    4 
 doc/po/pt.po       | 1131 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 doc/pt/Makefile.am |   21 
 doc/pt/Makefile.in |  461 +++++++++++++++++++++
 doc/pt/deborphan.1 |  272 ++++++++++++
 doc/pt/editkeep.8  |   38 +
 doc/pt/orphaner.8  |   64 ++
 include/config.h   |    6 
 po/ca.gmo          |binary
 po/ca.po           |    2 
 po/cs.gmo          |binary
 po/cs.po           |    2 
 po/da.gmo          |binary
 po/da.po           |    2 
 po/de.gmo          |binary
 po/de.po           |    2 
 po/deborphan.pot   |    2 
 po/es.gmo          |binary
 po/es.po           |    2 
 po/eu.gmo          |binary
 po/eu.po           |    2 
 po/fr.gmo          |binary
 po/fr.po           |    4 
 po/it.gmo          |binary
 po/it.po           |    2 
 po/ja.gmo          |binary
 po/ja.po           |    2 
 po/nl.gmo          |binary
 po/nl.po           |    2 
 po/pl.gmo          |binary
 po/pl.po           |    2 
 po/pt.gmo          |binary
 po/pt.po           |    2 
 po/ru.gmo          |binary
 po/ru.po           |    2 
 po/vi.gmo          |binary
 po/vi.po           |  415 +++++++++++++++++++
 src/pkginfo.c      |    4 
 util/orphaner.sh   |    9 
 46 files changed, 2469 insertions(+), 43 deletions(-)

diff -Nru deborphan-1.7.28.3/configure deborphan-1.7.28.5/configure
--- deborphan-1.7.28.3/configure	2010-12-12 16:27:10.000000000 -0400
+++ deborphan-1.7.28.5/configure	2011-03-26 12:57:41.000000000 -0400
@@ -2755,7 +2755,7 @@
 
 # Define the identity of the package.
  PACKAGE=deborphan
- VERSION=1.7.28.3
+ VERSION=1.7.28.5
 
 
 cat >>confdefs.h <<_ACEOF
@@ -3896,7 +3896,7 @@
 fi
 
 
-ALL_LINGUAS="ca cs da de es eu fr ja nl pl ru pt it"
+ALL_LINGUAS="ca cs da de es eu fr ja nl pl ru pt it vi"
 
 
   { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether NLS is requested" >&5
@@ -10073,7 +10073,7 @@
 
 fi
 
-ac_config_files="$ac_config_files Makefile src/Makefile doc/Makefile doc/po/Makefile doc/fr/Makefile doc/pl/Makefile doc/es/Makefile doc/de/Makefile include/Makefile po/Makefile.in intl/Makefile util/Makefile"
+ac_config_files="$ac_config_files Makefile src/Makefile doc/Makefile doc/po/Makefile doc/fr/Makefile doc/pl/Makefile doc/es/Makefile doc/de/Makefile doc/pt/Makefile include/Makefile po/Makefile.in intl/Makefile util/Makefile"
 
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
@@ -10805,6 +10805,7 @@
     "doc/pl/Makefile") CONFIG_FILES="$CONFIG_FILES doc/pl/Makefile" ;;
     "doc/es/Makefile") CONFIG_FILES="$CONFIG_FILES doc/es/Makefile" ;;
     "doc/de/Makefile") CONFIG_FILES="$CONFIG_FILES doc/de/Makefile" ;;
+    "doc/pt/Makefile") CONFIG_FILES="$CONFIG_FILES doc/pt/Makefile" ;;
     "include/Makefile") CONFIG_FILES="$CONFIG_FILES include/Makefile" ;;
     "po/Makefile.in") CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;;
     "intl/Makefile") CONFIG_FILES="$CONFIG_FILES intl/Makefile" ;;
diff -Nru deborphan-1.7.28.3/configure.in deborphan-1.7.28.5/configure.in
diff -Nru deborphan-1.7.28.3/debian/changelog deborphan-1.7.28.5/debian/changelog
--- deborphan-1.7.28.3/debian/changelog	2010-12-12 16:23:25.000000000 -0400
+++ deborphan-1.7.28.5/debian/changelog	2011-03-26 12:56:52.000000000 -0400
@@ -1,3 +1,28 @@
+deborphan (1.7.28.5) unstable; urgency=low
+
+  * Fix typo in Polish translation of deborphan(1) (Robert Luberda) Closes:
+    #610804
+  * Fix typo in French --show-size short option help.
+  * Change maintainer address.
+
+  [ New documentation translation ]
+  * Portuguese (Américo Monteiro). Closes: #607315
+
+  [ New program translation ]
+  * Vietnamese (Lê Hoàng Phương). Closes: #611094
+
+ -- David Prévot <david@tilapin.org>  Thu, 24 Mar 2011 22:22:39 -0400
+
+deborphan (1.7.28.4) unstable; urgency=high
+
+  * Urgency set to high as it solves an RC bug.
+  * Make trapping WINCH in orphaner POSIX compatible. Closes: #618895
+  * Exclude libreoffice* from being displayed if --guess-section is used.
+    Closes: #609337
+  * Change maintainer address.
+
+ -- Carsten Hey <carsten@debian.org>  Sat, 19 Mar 2011 16:31:37 +0100
+
 deborphan (1.7.28.3) unstable; urgency=low
 
   [ Updated program translations ]
diff -Nru deborphan-1.7.28.3/debian/control deborphan-1.7.28.5/debian/control
--- deborphan-1.7.28.3/debian/control	2010-12-12 16:10:42.000000000 -0400
+++ deborphan-1.7.28.5/debian/control	2011-03-26 12:56:52.000000000 -0400
@@ -1,7 +1,8 @@
 Source: deborphan
 Section: admin
 Priority: optional
-Maintainer: Carsten Hey <c.hey@web.de>
+Maintainer: deborphan devel team <deborphan-devel@lists.alioth.debian.org>
+Uploaders: David Prévot <david@tilapin.org>
 Standards-Version: 3.8.0
 Build-Depends: debhelper (>= 5), po4a
 Vcs-Svn: svn://svn.debian.org/deborphan/trunk
diff -Nru deborphan-1.7.28.3/doc/Makefile.am deborphan-1.7.28.5/doc/Makefile.am
--- deborphan-1.7.28.3/doc/Makefile.am	2010-12-12 16:10:45.000000000 -0400
+++ deborphan-1.7.28.5/doc/Makefile.am	2011-03-26 12:56:53.000000000 -0400
@@ -1,9 +1,9 @@
 # Copyright (C) 2000, 2001, 2002, 2003 Cris van Pelt
 # Copyright (C) 2003, 2004 Peter Palfrader
 #
-# $Id: Makefile.am 839 2010-11-27 15:43:11Z taffit-guest $
+# $Id: Makefile.am 882 2011-03-24 04:26:15Z taffit-guest $
 
-SUBDIRS =               po fr pl es de
+SUBDIRS =               po fr pl es de pt
 man_MANS =              deborphan.1 orphaner.8 editkeep.8
-EXTRA_DIST =            $(man_MANS) po/deborphan.pot po/fr.po po/pl.po po/es.po po/de.po
+EXTRA_DIST =            $(man_MANS) po/deborphan.pot po/fr.po po/pl.po po/es.po po/de.po po/pt.po
 
diff -Nru deborphan-1.7.28.3/doc/Makefile.in deborphan-1.7.28.5/doc/Makefile.in
diff -Nru deborphan-1.7.28.3/doc/pl/deborphan.1 deborphan-1.7.28.5/doc/pl/deborphan.1
diff -Nru deborphan-1.7.28.3/doc/po/pl.po deborphan-1.7.28.5/doc/po/pl.po
diff -Nru deborphan-1.7.28.3/doc/po/pt.po deborphan-1.7.28.5/doc/po/pt.po
diff -Nru deborphan-1.7.28.3/doc/pt/Makefile.am deborphan-1.7.28.5/doc/pt/Makefile.am
--- deborphan-1.7.28.3/doc/pt/Makefile.am	1969-12-31 20:00:00.000000000 -0400
+++ deborphan-1.7.28.5/doc/pt/Makefile.am	2011-03-26 12:56:53.000000000 -0400
@@ -0,0 +1,21 @@
+
+@SET_MAKE@
+
+man_MANS = deborphan.1 orphaner.8 editkeep.8
+mandir=@mandir@/pt
+PO=../po/pt.po
+
+EXTRA_DIST =	$(man_MANS) 
+
+deborphan.1: $(PO)
+	po4a-translate -v -f man -m ../$@ -p $<  -l $@
+
+editkeep.8: $(PO)
+	po4a-translate -v -f man -m ../$@ -p $< -l $@
+
+orphaner.8: $(PO)
+	po4a-translate -v -f man -m ../$@ -p $<  -l $@
+
+distclean-local:
+	po4a-updatepo -f man -m ../orphaner.8 -m ../editkeep.8 -m ../deborphan.1 -p $(PO)
+	-rm -f $(man_MANS)
diff -Nru deborphan-1.7.28.3/doc/pt/Makefile.in deborphan-1.7.28.5/doc/pt/Makefile.in
diff -Nru deborphan-1.7.28.3/doc/pt/deborphan.1 deborphan-1.7.28.5/doc/pt/deborphan.1
diff -Nru deborphan-1.7.28.3/doc/pt/editkeep.8 deborphan-1.7.28.5/doc/pt/editkeep.8
diff -Nru deborphan-1.7.28.3/doc/pt/orphaner.8 deborphan-1.7.28.5/doc/pt/orphaner.8
diff -Nru deborphan-1.7.28.3/include/config.h deborphan-1.7.28.5/include/config.h
--- deborphan-1.7.28.3/include/config.h	2010-12-12 16:27:36.000000000 -0400
+++ deborphan-1.7.28.5/include/config.h	2011-03-26 12:57:57.000000000 -0400
@@ -13,7 +13,7 @@
 /* #undef C_ALLOCA */
 
 /* Location of debfoster's keepers file. */
-#define DEBFOSTER_KEEP "/etc/apt/keepers"
+/* #undef DEBFOSTER_KEEP */
 
 /* Count 'recommends' and 'suggests' as 'depends' */
 #define DEFAULT_NICE 1
@@ -269,7 +269,7 @@
 #define ICONV_CONST 
 
 /* Ignore debfoster's keepers file. */
-/* #undef IGNORE_DEBFOSTER */
+#define IGNORE_DEBFOSTER 1
 
 /* Ignore 'Essential: yes' lines */
 /* #undef IGNORE_ESSENTIAL */
@@ -380,7 +380,7 @@
 #define USE_XALLOC 1
 
 /* Version number of package */
-#define VERSION "1.7.28.3"
+#define VERSION "1.7.28.5"
 
 /* Define to 1 if on MINIX. */
 /* #undef _MINIX */
Binary files /tmp/E812y6c3zU/deborphan-1.7.28.3/po/ca.gmo and /tmp/YNM2lcID5S/deborphan-1.7.28.5/po/ca.gmo differ
diff -Nru deborphan-1.7.28.3/po/ca.po deborphan-1.7.28.5/po/ca.po
Binary files /tmp/E812y6c3zU/deborphan-1.7.28.3/po/cs.gmo and /tmp/YNM2lcID5S/deborphan-1.7.28.5/po/cs.gmo differ
diff -Nru deborphan-1.7.28.3/po/cs.po deborphan-1.7.28.5/po/cs.po
Binary files /tmp/E812y6c3zU/deborphan-1.7.28.3/po/da.gmo and /tmp/YNM2lcID5S/deborphan-1.7.28.5/po/da.gmo differ
diff -Nru deborphan-1.7.28.3/po/da.po deborphan-1.7.28.5/po/da.po
Binary files /tmp/E812y6c3zU/deborphan-1.7.28.3/po/de.gmo and /tmp/YNM2lcID5S/deborphan-1.7.28.5/po/de.gmo differ
diff -Nru deborphan-1.7.28.3/po/de.po deborphan-1.7.28.5/po/de.po
diff -Nru deborphan-1.7.28.3/po/deborphan.pot deborphan-1.7.28.5/po/deborphan.pot
Binary files /tmp/E812y6c3zU/deborphan-1.7.28.3/po/es.gmo and /tmp/YNM2lcID5S/deborphan-1.7.28.5/po/es.gmo differ
diff -Nru deborphan-1.7.28.3/po/es.po deborphan-1.7.28.5/po/es.po
Binary files /tmp/E812y6c3zU/deborphan-1.7.28.3/po/eu.gmo and /tmp/YNM2lcID5S/deborphan-1.7.28.5/po/eu.gmo differ
diff -Nru deborphan-1.7.28.3/po/eu.po deborphan-1.7.28.5/po/eu.po
Binary files /tmp/E812y6c3zU/deborphan-1.7.28.3/po/fr.gmo and /tmp/YNM2lcID5S/deborphan-1.7.28.5/po/fr.gmo differ
diff -Nru deborphan-1.7.28.3/po/fr.po deborphan-1.7.28.5/po/fr.po
Binary files /tmp/E812y6c3zU/deborphan-1.7.28.3/po/it.gmo and /tmp/YNM2lcID5S/deborphan-1.7.28.5/po/it.gmo differ
diff -Nru deborphan-1.7.28.3/po/it.po deborphan-1.7.28.5/po/it.po
Binary files /tmp/E812y6c3zU/deborphan-1.7.28.3/po/ja.gmo and /tmp/YNM2lcID5S/deborphan-1.7.28.5/po/ja.gmo differ
diff -Nru deborphan-1.7.28.3/po/ja.po deborphan-1.7.28.5/po/ja.po
Binary files /tmp/E812y6c3zU/deborphan-1.7.28.3/po/nl.gmo and /tmp/YNM2lcID5S/deborphan-1.7.28.5/po/nl.gmo differ
diff -Nru deborphan-1.7.28.3/po/nl.po deborphan-1.7.28.5/po/nl.po
Binary files /tmp/E812y6c3zU/deborphan-1.7.28.3/po/pl.gmo and /tmp/YNM2lcID5S/deborphan-1.7.28.5/po/pl.gmo differ
diff -Nru deborphan-1.7.28.3/po/pl.po deborphan-1.7.28.5/po/pl.po
Binary files /tmp/E812y6c3zU/deborphan-1.7.28.3/po/pt.gmo and /tmp/YNM2lcID5S/deborphan-1.7.28.5/po/pt.gmo differ
diff -Nru deborphan-1.7.28.3/po/pt.po deborphan-1.7.28.5/po/pt.po
Binary files /tmp/E812y6c3zU/deborphan-1.7.28.3/po/ru.gmo and /tmp/YNM2lcID5S/deborphan-1.7.28.5/po/ru.gmo differ
diff -Nru deborphan-1.7.28.3/po/ru.po deborphan-1.7.28.5/po/ru.po
Binary files /tmp/E812y6c3zU/deborphan-1.7.28.3/po/vi.gmo and /tmp/YNM2lcID5S/deborphan-1.7.28.5/po/vi.gmo differ
diff -Nru deborphan-1.7.28.3/po/vi.po deborphan-1.7.28.5/po/vi.po
diff -Nru deborphan-1.7.28.3/src/pkginfo.c deborphan-1.7.28.5/src/pkginfo.c
--- deborphan-1.7.28.3/src/pkginfo.c	2010-12-12 16:19:38.000000000 -0400
+++ deborphan-1.7.28.5/src/pkginfo.c	2011-03-26 12:56:54.000000000 -0400
@@ -3,7 +3,7 @@
    Copyright (C) 2003, 2004, 2006 Peter Palfrader
    Copyright (C) 2008, 2009 Carsten Hey
 
-   $Id: pkginfo.c 871 2010-12-12 20:19:35Z carsten $
+   $Id: pkginfo.c 875 2011-03-19 22:51:12Z carsten $
 
    Distributed under the terms of the Artistic License.
 */
@@ -74,7 +74,7 @@
 	if (guess_chk(GUESS_KERNEL))
 	    strcat(guess, "(-modules|^nvidia-kernel)-.*[[:digit:]]+\\.[[:digit:]]+\\.[[:digit:]]+");
 	if (guess_chk(GUESS_SECTION)) {
-	    regcomp(&re_gnugrepv, "(-perl|-dev|-doc|-dbg)$|^lib(mono|pam)|-(ruby[[:digit:].]*|bin|tools|utils|dbgsym)$", 
+	    regcomp(&re_gnugrepv, "(-perl|-dev|-doc|-dbg)$|^lib(mono|pam|reoffice)|-(ruby[[:digit:].]*|bin|tools|utils|dbgsym)$", 
 		    REG_EXTENDED | REG_FLAGS);
 	}
 
diff -Nru deborphan-1.7.28.3/util/orphaner.sh deborphan-1.7.28.5/util/orphaner.sh
--- deborphan-1.7.28.3/util/orphaner.sh	2010-12-12 16:19:38.000000000 -0400
+++ deborphan-1.7.28.5/util/orphaner.sh	2011-03-26 12:56:55.000000000 -0400
@@ -23,13 +23,13 @@
 # Debian systems. If you have problems obtaining the files please
 # write to the authors.
 #
-# $Id: orphaner.sh 871 2010-12-12 20:19:35Z carsten $
+# $Id: orphaner.sh 874 2011-03-19 22:50:28Z carsten $
 
 set -e
 
 
 
-REVISION='$Rev: 871 $';
+REVISION='$Rev: 874 $';
 VERSION="(r${REVISION#\$Rev: }"
 VERSION="${VERSION% \$})"
 
@@ -142,10 +142,7 @@
 		fi
 	}
 
-	case "${BASH_VERSION:+bash}" in
-		bash) trap sigwinch_handle SIGWINCH;;
-		*) trap sigwinch_handle 20 28;;
-	esac
+	trap sigwinch_handle WINCH
 fi
 
 if [ $lines -lt 12 -o $columns -lt 50 ]; then




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#620883; Package release.debian.org. (Tue, 10 May 2011 18:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 10 May 2011 18:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 620883@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Carsten Hey <carsten@debian.org>
Cc: 620883@bugs.debian.org
Subject: Re: Bug#620883: pu: package deborphan/1.7.28.3+squeeze1
Date: Tue, 10 May 2011 19:24:17 +0100
tag 620883 + squeeze pending
thanks

On Tue, 2011-05-10 at 01:39 +0200, Carsten Hey wrote:
> * Philipp Kern [2011-05-05 20:12 +0200]:
> > Anyway: Feel free to upload the package with the correct version and suite in
> > the changelog without new translations (updates to existing ones are fine) and
> > thus without autofoo.  The two real changes you listed are ok.
> 
> Uploaded, thanks.

For the record, the package was accepted in to proposed-updates earlier
today.

Regards,

Adam





Added tag(s) squeeze and pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Tue, 10 May 2011 18:27:04 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 6.0.2, send any further explanations to David Prévot <david@tilapin.org> Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 26 Jun 2011 15:03:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jul 2011 07:45:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:57:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.